"use strict";

var _interopRequireWildcard = require("C:\\dev-github\\davefud\\spunky-ui-react\\node_modules\\@babel\\runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("C:\\dev-github\\davefud\\spunky-ui-react\\node_modules\\@babel\\runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var icons = _interopRequireWildcard(require("./AvailableIcons"));

function Icon(_ref) {
  var name = _ref.name,
      paths = _ref.paths,
      viewBox = _ref.viewBox,
      width = _ref.width,
      height = _ref.height,
      _ref$ariaHidden = _ref.ariaHidden,
      ariaHidden = _ref$ariaHidden === void 0 ? true : _ref$ariaHidden,
      className = _ref.className,
      color = _ref.color;
  var iconPaths = name ? icons[name] : paths;
  return _react.default.createElement("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    width: "".concat(width),
    height: "".concat(height),
    className: className,
    viewBox: "0 0 ".concat(viewBox, " ").concat(viewBox),
    "aria-hidden": ariaHidden
  }, _react.default.createElement("g", {
    fill: color
  }, iconPaths && iconPaths.map(function (pathProps, i) {
    return _react.default.createElement("path", Object.assign({}, pathProps, {
      key: i
    }));
  })));
}

Icon.defaultProps = {
  color: 'currentColor',
  paths: [],
  rotate: 0,
  size: 1,
  spin: false,
  styles: {},
  viewBox: 24,
  width: '100%',
  height: '100%'
};
var _default = Icon;
exports.default = _default;